IF NOT EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id 
               WHERE SYSCOLUMNS.NAME = 'SNOTAKIPNO' AND SYSOBJECTS.name = 'HDOSYA')
ALTER TABLE HDOSYA ADD SNOTAKIPNO nvarchar(80)
GO

UPDATE HH SET HH.SNOTAKIPNO=HYATIS.SNOTAKIPNO FROM HDOSYA HH JOIN HESAPISL ON HESAPISL.HDOSYAID=HH.HDOSYAID JOIN HYATIS ON HYATIS.HESAPISLID = HESAPISL.HESAPISLID
WHERE IPTAL=0 AND HYATIS.SNOTAKIPNO IS NOT NULL AND HH.SNOTAKIPNO IS NULL AND HESAPISL.ITARIH>'2017-10-01'
GO

UPDATE HH SET HH.SNOTAKIPNO=HMUAYENEISL.SNOTAKIPNO FROM HDOSYA HH JOIN HESAPISL ON HESAPISL.HDOSYAID=HH.HDOSYAID JOIN HMUAYENEISL ON HMUAYENEISL.HESAPISLID = HESAPISL.HESAPISLID
WHERE IPTAL=0 AND HMUAYENEISL.SNOTAKIPNO IS NOT NULL AND HH.SNOTAKIPNO IS NULL AND HESAPISL.ITARIH>'2017-10-01'
GO

UPDATE HH SET HH.SNOTAKIPNO=HTETKIKKART.SNOTAKIPNO FROM HDOSYA HH JOIN HESAPISL ON HESAPISL.HDOSYAID=HH.HDOSYAID JOIN HTETKIK ON HTETKIK.HESAPISLID = HESAPISL.HESAPISLID 
JOIN HTETKIKKART ON HTETKIKKART.HTETKIKKARTID = HTETKIK.HTETKIKKARTID
WHERE IPTAL=0 AND HTETKIKKART.SNOTAKIPNO IS NOT NULL AND HH.SNOTAKIPNO IS NULL AND HESAPISL.ITARIH>'2017-10-01'
GO

--ALTER TABLE HYATIS DROP COLUMN SNOTAKIPNO
--ALTER TABLE HMUAYENEISL DROP COLUMN SNOTAKIPNO
--ALTER TABLE HTETKIKKART DROP COLUMN SNOTAKIPNO





